import { createVuetify, type ThemeDefinition } from 'vuetify'
import * as components from 'vuetify/components'
import * as directives from 'vuetify/directives'
import { aliases } from 'vuetify/iconsets/fa'
import { mdi } from 'vuetify/iconsets/mdi'

const myCustomLightTheme: ThemeDefinition = {
  dark: false,
  colors: {
    background: '#FFFFFF',
    primary: '#586420',
    on_primary : '#ffffff',
    primary_container: '#dcea97',
    on_primary_container : '#181e00',
    secondary: '#5c6145',
    on_secondary: '#ffffff',
    secondary_container : '#e1e5c3',
    on_secondary_container: '#1a1d08',
    tertiary: '#3a665c',
    on_tertiary: '#ffffff',
    tertiary_container : '#bdecdf',
    on_tertiary_container : '#00201a',
    error: '#ba1a1a',
    on_error: '#ffffff',
    error_container: '#ffdad6',
    on_error_container: '#410002',
    surface_lowest: '#FFFFFF',
    surface_low: '#f5f4e7',
    surface: '#f0eee2',
    surface_high: '#eae9dc',
    surface_highest: '#e4e3d7',
    on_surface: '#1b1c15',
    outline: '#77786a',
    outline_variant : '#c7c7b7'
  },
}

export default createVuetify({
  components,
  directives,
  theme: {
    defaultTheme: 'myCustomLightTheme',
    themes: {
      myCustomLightTheme,
    },
  },
  icons: {
    defaultSet: 'mdi',
    aliases,
    sets: {
      mdi,
    },
  },

})
