import { createRouter, createWebHistory } from 'vue-router'


// @ts-ignore
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: { name: 'Loading' },
      component: () => import('@/layouts/FullLayout.vue'),
      meta: { requiresAuth: true },
      children: [
        {
          path: 'home',
          name: 'Home',
          component: () => import('@/views/HomeView.vue'),
        },
        {
          path: 'loading',
          name: 'Loading',
          component: () => import('@/views/LoadingView.vue')
        }
      ],
    },
    {
      path: "/authentication",
      redirect: { name: "Login" },
      component: () => import('@/layouts/AuthenticationLayout.vue'),
      children: [
        {
          path: "login",
          name: "Login",
          meta: { requiresAuth: false },
          component: () => import('@/views/LoginView.vue'),
        },
        {
          path: "register",
          name: "Register",
          meta: { requiresAuth: false },
          component: () => import('@/views/RegisterView.vue'),
        }
      ],
    },
    {
      path: "/:pathMatch(.*)*",
      redirect: { name: "Error" },
      component: () => import('@/layouts/ErrorLayout.vue'),
      children: [
        {
          path: "",
          name: "Error",
          component: () => import('@/views/error/ErrorView.vue'),
        }
      ],
    },

  ]
})


export default router
